Bug 224284 - New ports: textproc/libepubgen01 and textproc/libqxp00 (dependencies of LibreOffice 6)
Summary: New ports: textproc/libepubgen01 and textproc/libqxp00 (dependencies of Libre...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks: 224288
  Show dependency treegraph
 
Reported: 2017-12-12 16:17 UTC by Greg V
Modified: 2018-02-21 03:16 UTC (History)
3 users (show)

See Also:


Attachments
libepubgen-and-libqxp.patch (5.27 KB, patch)
2017-12-12 16:17 UTC, Greg V
no flags Details | Diff
libepubgen-and-libxqp.patch (5.30 KB, patch)
2017-12-12 17:23 UTC, Greg V
no flags Details | Diff
libepubgen-and-libxqp.patch v2 (5.30 KB, patch)
2018-01-31 16:15 UTC, Greg V
no flags Details | Diff
libepubgen-and-libxqp.patch v3 (5.66 KB, patch)
2018-02-07 13:29 UTC, Greg V
no flags Details | Diff
libepubgen-and-libxqp.patch v4 (6.36 KB, patch)
2018-02-07 14:17 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-12-12 16:17:31 UTC
Created attachment 188762 [details]
libepubgen-and-libqxp.patch

Based on the textproc/libodfgen01 port.

I'm not sure if that's the best way to specify cpptest…
Comment 1 Greg V 2017-12-12 17:23:12 UTC
Created attachment 188764 [details]
libepubgen-and-libxqp.patch

Yeah, cppunit-config was removed in the new cppunit, fixed.
Comment 2 Greg V 2018-01-31 16:15:45 UTC
Created attachment 190226 [details]
libepubgen-and-libxqp.patch v2

Updated libepubgen to 0.1, for LibreOffice 6.0.0 release.
Comment 3 Li-Wen Hsu freebsd_committer 2018-02-01 19:10:44 UTC
Have you tested these ports in poudriere?

I did a quick test, it seem that libepubgen01 failed in configure phase (on 11-amd64, I haven't tested on i386 and 10), and libqxp00 failed in build phase on 10, both amd64 and i386.
Comment 4 Greg V 2018-02-07 13:29:29 UTC
Created attachment 190384 [details]
libepubgen-and-libxqp.patch v3

oh oops — libepubgen tests depend on libxml2. Uploaded new version with proper DOXYGEN and TEST options.

Please post the log for the 10 build failure!
Comment 5 Li-Wen Hsu freebsd_committer 2018-02-07 13:54:21 UTC
(In reply to Greg V from comment #4)

Thanks, libepubgen builds fine with the new patch.

For libqxp00, please check https://gist.github.com/anonymous/2cde4c3a9b53e2849c9beeaa0e7c0313
Comment 6 Greg V 2018-02-07 14:17:25 UTC
Created attachment 190387 [details]
libepubgen-and-libxqp.patch v4

Okay, let's try <cstdlib>.
Comment 7 Li-Wen Hsu freebsd_committer 2018-02-08 08:04:58 UTC
Thanks, both ports build fine now.

1) It is not necessary to list all .so from the same port in LIB_DEPENDS, just picking up one is fine.
2) will we have other versions of libepubgen and libqxp soon?  I guess version suffix is not really needed.
3) I don't know if office team is OK to add new port with office@ as MAINTAINER.  Pass ticket to office@
Comment 8 Greg V 2018-02-08 10:41:07 UTC
(In reply to Li-Wen Hsu from comment #7)
> I guess version suffix is not really needed

I guess we don't have any other consumers of these libraries…

But my decision was based on existing LibreOffice dependencies: libodfgen01, libvisio01, libcdr01, libmspub01, libmwaw03…

(if the libraries are parallel-installable, it does make sense that their packages are too)
Comment 9 Li-Wen Hsu freebsd_committer 2018-02-11 12:53:39 UTC
(In reply to Greg V from comment #8)

I checked the history of the ports you mentioned. It looks they were added with suffix for not conflict with ports existed that time, but the ones without suffix were gone now.  I think it is not necessary to add new ports with versions suffix.  We can add other versions with suffix in the future.
Comment 10 Greg Veldman 2018-02-20 15:43:08 UTC
(In reply to Li-Wen Hsu from comment #7)

If it helps at all, I also confirm these build and install cleanly on my up-to-date 11.1-RELEASE amd64 test system.
Comment 11 Li-Wen Hsu freebsd_committer 2018-02-20 18:42:21 UTC
Yes these ports build just fine.  The reason that I do not adding these ports is I don't know if it is okay to add a new port with office@ as the maintainer.  I haven't got reply from office@.

BTW, for version suffix, I believe there is no reason to have it, for now.

Greg V, do you want to be the maintainer for these ports?  Of course we can transfer the maintainership to office@ in the future.
Comment 12 Greg V 2018-02-20 20:01:03 UTC
(In reply to Li-Wen Hsu from comment #11)
Yeah no problem, I can be the maintainer.
Comment 13 commit-hook freebsd_committer 2018-02-21 03:13:14 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Feb 21 03:12:50 UTC 2018
New revision: 462471
URL: https://svnweb.freebsd.org/changeset/ports/462471

Log:
  add textproc/libepubgen library for generating documents in ePub format

  PR:		224284
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/textproc/Makefile
  head/textproc/libepubgen/
  head/textproc/libepubgen/Makefile
  head/textproc/libepubgen/distinfo
  head/textproc/libepubgen/pkg-descr
  head/textproc/libepubgen/pkg-plist
Comment 14 commit-hook freebsd_committer 2018-02-21 03:15:19 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Feb 21 03:14:50 UTC 2018
New revision: 462472
URL: https://svnweb.freebsd.org/changeset/ports/462472

Log:
  Add textproc/libqxp, library for parsing QuarkXPress documents

  PR:		224284
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/textproc/Makefile
  head/textproc/libqxp/
  head/textproc/libqxp/Makefile
  head/textproc/libqxp/distinfo
  head/textproc/libqxp/files/
  head/textproc/libqxp/files/patch-src_lib_QXPBlockParser.cpp
  head/textproc/libqxp/pkg-descr
  head/textproc/libqxp/pkg-plist
Comment 15 Li-Wen Hsu freebsd_committer 2018-02-21 03:16:56 UTC
Port added with discussed modifications.  Please try to upstream the patches if it is possible.